## freeftf
## Copyright (C) 2024  Patrick_Pluto
##
## This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
##
## This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License along with this program.  If not, see <https://www.gnu.org/licenses/>.

extends Control

func matchmaking():
	get_tree().root.get_node("./main_menu").hide()

func _ready():
	if !OS.is_debug_build():
		$main_content/matchmaking.hide()

func _on_create_pressed():
	get_tree().change_scene_to_file("res://menus/create.tscn")


func _on_join_pressed():
	get_tree().change_scene_to_file("res://menus/create.tscn")



func _on_settings_pressed():
	get_tree().change_scene_to_file("res://menus/settings.tscn")


func _on_matchmaking_pressed():
	Server.create_game()
	matchmaking()
	
